Index: trunk/source/digits_hits/scorer/src/G4PSNofStep.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSNofStep.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSNofStep.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSNofStep.cc,v 1.2 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSNofStep
Index: trunk/source/digits_hits/scorer/src/G4PSNofStep3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSNofStep3D.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSNofStep3D.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSNofStep3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSNofStep3D
Index: trunk/source/digits_hits/scorer/src/G4PSPassageCellCurrent.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSPassageCellCurrent.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSPassageCellCurrent.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSPassageCellCurrent.cc,v 1.1 2007/08/14 21:30:46 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSPassageCellCurrent
Index: trunk/source/digits_hits/scorer/src/G4PSPassageCellCurrent3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSPassageCellCurrent3D.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSPassageCellCurrent3D.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSPassageCellCurrent3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSPassageCellCurrent3D
Index: trunk/source/digits_hits/scorer/src/G4PSPassageCellFlux.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSPassageCellFlux.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSPassageCellFlux.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSPassageCellFlux.cc,v 1.2 2008/12/28 20:32:00 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSPassageCellFlux
Index: trunk/source/digits_hits/scorer/src/G4PSPassageCellFlux3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSPassageCellFlux3D.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSPassageCellFlux3D.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSPassageCellFlux3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSPassageCellFlux3D
Index: trunk/source/digits_hits/scorer/src/G4PSPassageTrackLength.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSPassageTrackLength.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSPassageTrackLength.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSPassageTrackLength.cc,v 1.1 2007/07/11 01:31:03 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSPassageTrackLength
Index: trunk/source/digits_hits/scorer/src/G4PSPassageTrackLength3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSPassageTrackLength3D.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSPassageTrackLength3D.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSPassageTrackLength3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSPassageTrackLength3D
Index: trunk/source/digits_hits/scorer/src/G4PSPopulation.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSPopulation.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSPopulation.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSPopulation.cc,v 1.1 2007/07/11 01:31:03 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSPopulation
Index: trunk/source/digits_hits/scorer/src/G4PSPopulation3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSPopulation3D.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSPopulation3D.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSPopulation3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSPopulation3D
Index: trunk/source/digits_hits/scorer/src/G4PSSphereSurfaceCurrent.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSSphereSurfaceCurrent.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSSphereSurfaceCurrent.cc	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4PSSphereSurfaceCurrent.cc,v 1.3 2008/12/29 00:17:14 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4PSSphereSurfaceCurrent.cc,v 1.4 2009/11/14 00:01:13 asaim Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSSphereSurfaceCurrent
@@ -121,7 +121,10 @@
                       +localpos1.y()*localpos1.y()
                       +localpos1.z()*localpos1.z();
-    G4double InsideRadius2 = 
-      sphereSolid->GetInsideRadius()*sphereSolid->GetInsideRadius();
-    if(std::fabs( localR2 - InsideRadius2 ) < kCarTolerance ){
+    //G4double InsideRadius2 = 
+    //  sphereSolid->GetInsideRadius()*sphereSolid->GetInsideRadius();
+    //if(std::fabs( localR2 - InsideRadius2 ) < kCarTolerance ){
+    G4double InsideRadius = sphereSolid->GetInsideRadius();
+    if ( localR2 > (InsideRadius-kCarTolerance)*(InsideRadius-kCarTolerance)
+	 &&localR2 < (InsideRadius+kCarTolerance)*(InsideRadius+kCarTolerance)){
       return fCurrent_In;
     }
@@ -136,7 +139,10 @@
                       +localpos2.y()*localpos2.y()
                       +localpos2.z()*localpos2.z();
-    G4double InsideRadius2 = 
-      sphereSolid->GetInsideRadius()*sphereSolid->GetInsideRadius();
-    if(std::fabs( localR2 - InsideRadius2 ) < kCarTolerance ){
+    //G4double InsideRadius2 = 
+    //  sphereSolid->GetInsideRadius()*sphereSolid->GetInsideRadius();
+    //if(std::fabs( localR2 - InsideRadius2 ) < kCarTolerance ){
+    G4double InsideRadius = sphereSolid->GetInsideRadius();
+    if ( localR2 > (InsideRadius-kCarTolerance)*(InsideRadius-kCarTolerance)
+	 &&localR2 < (InsideRadius+kCarTolerance)*(InsideRadius+kCarTolerance)){
       return fCurrent_Out;
     }
Index: trunk/source/digits_hits/scorer/src/G4PSSphereSurfaceCurrent3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSSphereSurfaceCurrent3D.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSSphereSurfaceCurrent3D.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSSphereSurfaceCurrent3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSSphereSurfaceCurrent3D
Index: trunk/source/digits_hits/scorer/src/G4PSSphereSurfaceFlux.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSSphereSurfaceFlux.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSSphereSurfaceFlux.cc	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4PSSphereSurfaceFlux.cc,v 1.2 2008/12/29 00:17:14 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4PSSphereSurfaceFlux.cc,v 1.3 2009/11/14 00:01:13 asaim Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSSphereSurfaceFlux
@@ -149,7 +149,10 @@
                       +localpos1.y()*localpos1.y()
                       +localpos1.z()*localpos1.z();
-    G4double InsideRadius2 = 
-      sphereSolid->GetInsideRadius()*sphereSolid->GetInsideRadius();
-    if(std::fabs( localR2 - InsideRadius2 ) < kCarTolerance ){
+    //G4double InsideRadius2 = 
+    //  sphereSolid->GetInsideRadius()*sphereSolid->GetInsideRadius();
+    //if(std::fabs( localR2 - InsideRadius2 ) < kCarTolerance ){
+    G4double InsideRadius = sphereSolid->GetInsideRadius();
+    if ( localR2 > (InsideRadius-kCarTolerance)*(InsideRadius-kCarTolerance)
+	 &&localR2 < (InsideRadius+kCarTolerance)*(InsideRadius+kCarTolerance)){
       return fFlux_In;
     }
@@ -164,7 +167,10 @@
                       +localpos2.y()*localpos2.y()
                       +localpos2.z()*localpos2.z();
-    G4double InsideRadius2 = 
-      sphereSolid->GetInsideRadius()*sphereSolid->GetInsideRadius();
-    if(std::fabs( localR2 - InsideRadius2 ) < kCarTolerance ){
+    //G4double InsideRadius2 = 
+    //  sphereSolid->GetInsideRadius()*sphereSolid->GetInsideRadius();
+    //if(std::facb(localR2 - InsideRadius2) ) < kCarTolerance ){
+    G4double InsideRadius = sphereSolid->GetInsideRadius();
+    if ( localR2 > (InsideRadius-kCarTolerance)*(InsideRadius-kCarTolerance)
+	 &&localR2 < (InsideRadius+kCarTolerance)*(InsideRadius+kCarTolerance)){
       return fFlux_Out;
     }
Index: trunk/source/digits_hits/scorer/src/G4PSSphereSurfaceFlux3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSSphereSurfaceFlux3D.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSSphereSurfaceFlux3D.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSSphereSurfaceFlux3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSSphereSurfaceFlux3D
Index: trunk/source/digits_hits/scorer/src/G4PSTermination.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSTermination.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSTermination.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSTermination.cc,v 1.2 2007/12/10 16:29:42 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSTermination
Index: trunk/source/digits_hits/scorer/src/G4PSTermination3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSTermination3D.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSTermination3D.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSTermination3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSTermination3D
Index: trunk/source/digits_hits/scorer/src/G4PSTrackCounter.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSTrackCounter.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSTrackCounter.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSTrackCounter.cc,v 1.1 2007/07/11 01:31:03 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSTrackCounter
Index: trunk/source/digits_hits/scorer/src/G4PSTrackCounter3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSTrackCounter3D.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSTrackCounter3D.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSTrackCounter3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSTrackCounter3D
Index: trunk/source/digits_hits/scorer/src/G4PSTrackLength.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSTrackLength.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSTrackLength.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSTrackLength.cc,v 1.1 2007/07/11 01:31:03 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSTrackLength
Index: trunk/source/digits_hits/scorer/src/G4PSTrackLength3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSTrackLength3D.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSTrackLength3D.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSTrackLength3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSTrackLength3D
Index: trunk/source/digits_hits/scorer/src/G4SDChargedFilter.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4SDChargedFilter.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4SDChargedFilter.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SDChargedFilter.cc,v 1.1 2007/07/11 01:31:03 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4VSensitiveDetector
Index: trunk/source/digits_hits/scorer/src/G4SDKineticEnergyFilter.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4SDKineticEnergyFilter.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4SDKineticEnergyFilter.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SDKineticEnergyFilter.cc,v 1.1 2007/07/11 01:31:03 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4VSensitiveDetector
Index: trunk/source/digits_hits/scorer/src/G4SDNeutralFilter.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4SDNeutralFilter.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4SDNeutralFilter.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SDNeutralFilter.cc,v 1.1 2007/07/11 01:31:03 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4VSensitiveDetector
Index: trunk/source/digits_hits/scorer/src/G4SDParticleFilter.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4SDParticleFilter.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4SDParticleFilter.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SDParticleFilter.cc,v 1.1 2007/07/11 01:31:03 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4VSensitiveDetector
Index: trunk/source/digits_hits/scorer/src/G4SDParticleWithEnergyFilter.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4SDParticleWithEnergyFilter.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4SDParticleWithEnergyFilter.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SDParticleWithEnergyFilter.cc,v 1.1 2007/07/11 01:31:03 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4VSensitiveDetector
Index: trunk/source/digits_hits/utils/include/G4DefaultLinearColorMap.hh
===================================================================
--- trunk/source/digits_hits/utils/include/G4DefaultLinearColorMap.hh	(revision 1227)
+++ trunk/source/digits_hits/utils/include/G4DefaultLinearColorMap.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4DefaultLinearColorMap.hh,v 1.1 2007/11/04 04:06:08 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/utils/include/G4ScoreLogColorMap.hh
===================================================================
--- trunk/source/digits_hits/utils/include/G4ScoreLogColorMap.hh	(revision 1227)
+++ trunk/source/digits_hits/utils/include/G4ScoreLogColorMap.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ScoreLogColorMap.hh,v 1.1 2008/03/25 02:18:39 akimura Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/utils/include/G4ScoreQuantityMessenger.hh
===================================================================
--- trunk/source/digits_hits/utils/include/G4ScoreQuantityMessenger.hh	(revision 1227)
+++ trunk/source/digits_hits/utils/include/G4ScoreQuantityMessenger.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ScoreQuantityMessenger.hh,v 1.4 2007/11/06 17:17:14 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // (HISTORY)
Index: trunk/source/digits_hits/utils/include/G4ScoringBox.hh
===================================================================
--- trunk/source/digits_hits/utils/include/G4ScoringBox.hh	(revision 1227)
+++ trunk/source/digits_hits/utils/include/G4ScoringBox.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ScoringBox.hh,v 1.18 2007/11/06 09:41:34 akimura Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/utils/include/G4ScoringCylinder.hh
===================================================================
--- trunk/source/digits_hits/utils/include/G4ScoringCylinder.hh	(revision 1227)
+++ trunk/source/digits_hits/utils/include/G4ScoringCylinder.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ScoringCylinder.hh,v 1.2 2008/03/23 14:32:12 akimura Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/utils/include/G4ScoringManager.hh
===================================================================
--- trunk/source/digits_hits/utils/include/G4ScoringManager.hh	(revision 1227)
+++ trunk/source/digits_hits/utils/include/G4ScoringManager.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ScoringManager.hh,v 1.23 2007/11/14 20:41:17 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/utils/include/G4ScoringMessenger.hh
===================================================================
--- trunk/source/digits_hits/utils/include/G4ScoringMessenger.hh	(revision 1227)
+++ trunk/source/digits_hits/utils/include/G4ScoringMessenger.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ScoringMessenger.hh,v 1.22 2008/02/29 12:23:14 akimura Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // (HISTORY)
Index: trunk/source/digits_hits/utils/include/G4VScoreColorMap.hh
===================================================================
--- trunk/source/digits_hits/utils/include/G4VScoreColorMap.hh	(revision 1227)
+++ trunk/source/digits_hits/utils/include/G4VScoreColorMap.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VScoreColorMap.hh,v 1.5 2008/08/29 02:50:05 akimura Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/utils/include/G4VScoreWriter.hh
===================================================================
--- trunk/source/digits_hits/utils/include/G4VScoreWriter.hh	(revision 1227)
+++ trunk/source/digits_hits/utils/include/G4VScoreWriter.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VScoreWriter.hh,v 1.2 2007/11/06 09:41:34 akimura Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/utils/include/G4VScoringMesh.hh
===================================================================
--- trunk/source/digits_hits/utils/include/G4VScoringMesh.hh	(revision 1227)
+++ trunk/source/digits_hits/utils/include/G4VScoringMesh.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VScoringMesh.hh,v 1.29 2009/10/12 04:11:25 akimura Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/utils/src/G4DefaultLinearColorMap.cc
===================================================================
--- trunk/source/digits_hits/utils/src/G4DefaultLinearColorMap.cc	(revision 1227)
+++ trunk/source/digits_hits/utils/src/G4DefaultLinearColorMap.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4DefaultLinearColorMap.cc,v 1.3 2008/08/29 02:50:05 akimura Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/utils/src/G4ScoreLogColorMap.cc
===================================================================
--- trunk/source/digits_hits/utils/src/G4ScoreLogColorMap.cc	(revision 1227)
+++ trunk/source/digits_hits/utils/src/G4ScoreLogColorMap.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ScoreLogColorMap.cc,v 1.3 2009/05/04 15:57:33 akimura Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/utils/src/G4ScoreQuantityMessenger.cc
===================================================================
--- trunk/source/digits_hits/utils/src/G4ScoreQuantityMessenger.cc	(revision 1227)
+++ trunk/source/digits_hits/utils/src/G4ScoreQuantityMessenger.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ScoreQuantityMessenger.cc,v 1.8 2007/11/07 04:12:07 akimura Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ---------------------------------------------------------------------
Index: trunk/source/digits_hits/utils/src/G4ScoreQuantityMessengerQCmd.cc
===================================================================
--- trunk/source/digits_hits/utils/src/G4ScoreQuantityMessengerQCmd.cc	(revision 1227)
+++ trunk/source/digits_hits/utils/src/G4ScoreQuantityMessengerQCmd.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ScoreQuantityMessengerQCmd.cc,v 1.6 2007/11/07 04:12:07 akimura Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ---------------------------------------------------------------------
Index: trunk/source/digits_hits/utils/src/G4ScoringBox.cc
===================================================================
--- trunk/source/digits_hits/utils/src/G4ScoringBox.cc	(revision 1227)
+++ trunk/source/digits_hits/utils/src/G4ScoringBox.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ScoringBox.cc,v 1.54 2008/08/29 02:50:05 akimura Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/utils/src/G4ScoringCylinder.cc
===================================================================
--- trunk/source/digits_hits/utils/src/G4ScoringCylinder.cc	(revision 1227)
+++ trunk/source/digits_hits/utils/src/G4ScoringCylinder.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ScoringCylinder.cc,v 1.6 2008/08/29 02:50:05 akimura Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/utils/src/G4ScoringManager.cc
===================================================================
--- trunk/source/digits_hits/utils/src/G4ScoringManager.cc	(revision 1227)
+++ trunk/source/digits_hits/utils/src/G4ScoringManager.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ScoringManager.cc,v 1.31 2008/03/25 02:18:38 akimura Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/utils/src/G4ScoringMessenger.cc
===================================================================
--- trunk/source/digits_hits/utils/src/G4ScoringMessenger.cc	(revision 1227)
+++ trunk/source/digits_hits/utils/src/G4ScoringMessenger.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ScoringMessenger.cc,v 1.39 2008/11/26 21:27:35 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ---------------------------------------------------------------------
Index: trunk/source/digits_hits/utils/src/G4VScoreColorMap.cc
===================================================================
--- trunk/source/digits_hits/utils/src/G4VScoreColorMap.cc	(revision 1227)
+++ trunk/source/digits_hits/utils/src/G4VScoreColorMap.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VScoreColorMap.cc,v 1.4 2009/05/04 15:57:33 akimura Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/utils/src/G4VScoreWriter.cc
===================================================================
--- trunk/source/digits_hits/utils/src/G4VScoreWriter.cc	(revision 1227)
+++ trunk/source/digits_hits/utils/src/G4VScoreWriter.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VScoreWriter.cc,v 1.5 2008/03/04 23:19:09 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/utils/src/G4VScoringMesh.cc
===================================================================
--- trunk/source/digits_hits/utils/src/G4VScoringMesh.cc	(revision 1227)
+++ trunk/source/digits_hits/utils/src/G4VScoringMesh.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VScoringMesh.cc,v 1.37 2009/10/12 04:11:25 akimura Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/error_propagation/History
===================================================================
--- trunk/source/error_propagation/History	(revision 1227)
+++ trunk/source/error_propagation/History	(revision 1228)
@@ -1,3 +1,3 @@
-$Id: History,v 1.13 2007/11/14 17:03:06 gcosmo Exp $
+$Id: History,v 1.15 2009/11/11 17:12:10 arce Exp $
 -------------------------------------------------------------------
 
@@ -17,4 +17,10 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
+11 November 2009 - P.Arce (error_propagation-V09-02-02)
+- Avoid G4ThreeVector(double) constructor in G4ErrorMagFieldLimitProcess.cc
+
+14 May 2008 - P.Arce (error_propagation-V09-02-01) 
+- Inclusion of pion+/- and proton in physics list
+- Possibility to account for error deflation (needed to make 'smoothing')
 
 14 November 2007 - G.Cosmo (error_propagation-V09-00-02)
Index: trunk/source/error_propagation/include/G4ErrorFreeTrajParam.hh
===================================================================
--- trunk/source/error_propagation/include/G4ErrorFreeTrajParam.hh	(revision 1227)
+++ trunk/source/error_propagation/include/G4ErrorFreeTrajParam.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ErrorFreeTrajParam.hh,v 1.2 2007/05/29 14:41:35 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Class Description:
Index: trunk/source/error_propagation/include/G4ErrorFreeTrajState.hh
===================================================================
--- trunk/source/error_propagation/include/G4ErrorFreeTrajState.hh	(revision 1227)
+++ trunk/source/error_propagation/include/G4ErrorFreeTrajState.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ErrorFreeTrajState.hh,v 1.4 2007/05/31 20:27:06 arce Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Class Description:
Index: trunk/source/error_propagation/include/G4ErrorGeomVolumeTarget.hh
===================================================================
--- trunk/source/error_propagation/include/G4ErrorGeomVolumeTarget.hh	(revision 1227)
+++ trunk/source/error_propagation/include/G4ErrorGeomVolumeTarget.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ErrorGeomVolumeTarget.hh,v 1.3 2007/05/31 15:28:51 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Class Description:
Index: trunk/source/error_propagation/include/G4ErrorMagFieldLimitProcess.hh
===================================================================
--- trunk/source/error_propagation/include/G4ErrorMagFieldLimitProcess.hh	(revision 1227)
+++ trunk/source/error_propagation/include/G4ErrorMagFieldLimitProcess.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ErrorMagFieldLimitProcess.hh,v 1.2 2007/05/29 14:41:35 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Class description:
Index: trunk/source/error_propagation/include/G4ErrorMatrix.hh
===================================================================
--- trunk/source/error_propagation/include/G4ErrorMatrix.hh	(revision 1227)
+++ trunk/source/error_propagation/include/G4ErrorMatrix.hh	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4ErrorMatrix.hh,v 1.2 2007/06/01 12:43:28 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Class Description:
Index: trunk/source/error_propagation/include/G4ErrorMatrix.icc
===================================================================
--- trunk/source/error_propagation/include/G4ErrorMatrix.icc	(revision 1227)
+++ trunk/source/error_propagation/include/G4ErrorMatrix.icc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4ErrorMatrix.icc,v 1.2 2007/06/01 12:43:28 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ------------------------------------------------------------
Index: trunk/source/error_propagation/include/G4ErrorMessenger.hh
===================================================================
--- trunk/source/error_propagation/include/G4ErrorMessenger.hh	(revision 1227)
+++ trunk/source/error_propagation/include/G4ErrorMessenger.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ErrorMessenger.hh,v 1.2 2007/05/29 14:41:35 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Class Description:
Index: trunk/source/error_propagation/include/G4ErrorPhysicsList.hh
===================================================================
--- trunk/source/error_propagation/include/G4ErrorPhysicsList.hh	(revision 1227)
+++ trunk/source/error_propagation/include/G4ErrorPhysicsList.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ErrorPhysicsList.hh,v 1.2 2007/05/29 14:41:35 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/error_propagation/include/G4ErrorPropagator.hh
===================================================================
--- trunk/source/error_propagation/include/G4ErrorPropagator.hh	(revision 1227)
+++ trunk/source/error_propagation/include/G4ErrorPropagator.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ErrorPropagator.hh,v 1.3 2007/05/29 14:41:35 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/error_propagation/include/G4ErrorPropagatorManager.hh
===================================================================
--- trunk/source/error_propagation/include/G4ErrorPropagatorManager.hh	(revision 1227)
+++ trunk/source/error_propagation/include/G4ErrorPropagatorManager.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ErrorPropagatorManager.hh,v 1.2 2007/05/29 14:41:35 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Class Description:
Index: trunk/source/error_propagation/include/G4ErrorRunManagerHelper.hh
===================================================================
--- trunk/source/error_propagation/include/G4ErrorRunManagerHelper.hh	(revision 1227)
+++ trunk/source/error_propagation/include/G4ErrorRunManagerHelper.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ErrorRunManagerHelper.hh,v 1.2 2007/05/29 14:41:35 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
